Subject: Re: bug#20351: isearch-lax-whitespace should be customizable variable

From: Artur Malabarba <[email-masked]>
Date: Thu, 2 Jul 2015 11:15:18 +0100

> It seems we can't avoid turning `isearch-lax-whitespace' into a defcustom
> because users need to be able to disable these features initially, and
> there is no convenient way to customize initial values with a single
> defcustom such as ‘isearch-initial-variables’.

Yes, you're right. Feel free to ignore my previous comments.

> ‘case-fold-search’ is a customizable variable - and rightfully so
> ‘char-fold-search’ has to be customizable as well.

Yes, we should make it a defcustom before release. I didn't make it a
defcustom when I implementing it because the implementation itself is
still up for debate.